<?php

if (!defined('XOOPS_ROOT_PATH')) exit();

class BaseOnlineObject extends XoopsSimpleObject
{
	var $mModule = null;
	
	function BaseOnlineObject()
	{
		$this->initVar('online_uid', XOBJ_DTYPE_INT, '0', true);
		$this->initVar('online_uname', XOBJ_DTYPE_STRING, '', true, 25);
		$this->initVar('online_updated', XOBJ_DTYPE_INT, '0', true);
		$this->initVar('online_module', XOBJ_DTYPE_INT, '0', true);
		$this->initVar('online_ip', XOBJ_DTYPE_STRING, '', true, 15);
	}
	
	function loadModule()
	{
		if ($this->get('online_module')) {
			$handler =& xoops_gethandler('modules');
			$this->mModule =& $handler->get($this->get('online_module'));
		}
	}
}

class BaseOnlineHandler extends XoopsObjectGenericHandler
{
	var $mTable = "online";
	var $mPrimary = "";
	var $mClass = "BaseOnlineObject";
}

?>
